TAU_PROFILE_TIMER_SE(3)

NAME
TAU_PROFILE_TIMER_SET_GROUP_NAME - Changes the group name for a timer

SYNOPSIS

C/C++:

TAU_PROFILE_TIMER_SET_GROUP_NAME(Profiler timer, char *groupname);

DESCRIPTION

TAU_PROFILE_TIMER_SET_GROUP_NAME changes the group name associated with a given timer.

EXAMPLE

C/C++ :

void foo() {
  TAU_PROFILE_TIMER(looptimer, "foo: loop1", " ", TAU_USER);
  TAU_PROFILE_START(looptimer);
  for (int i = 0; i < N; i++) { /* do something */ }
  TAU_PROFILE_STOP(looptimer);
  TAU_PROFILE_TIMER_SET_GROUP_NAME("Field");
}

SEE ALSO

TAU_PROFILE_TIMER(3), TAU_PROFILE_TIMER_SET_GROUP(3)